  // user.validation.ts
  import * as Joi from 'joi';

  export const registerSchema = Joi.object({
    name: Joi.string().required(),
    username: Joi.string().required(), // not userName
    password: Joi.string().required(),
    role_id: Joi.number().required(),
  });


  export const loginSchema = Joi.object({
    username: Joi.string().required(),
    password: Joi.string().required(),
  });
